<?php include('casa/setup.casa.php');
include('inc_scripts.php');
$codigo_venta = DataForms::GET('id');
$title = 'Registrar Venta a Cliente';
echo "<title>".AppName.' - '.$title."</title>";

/*********************************/
//Datos de clientes ya registrados
$clie_nombres = '';
$clie_apellidos = '';
$clie_cinit = '';
$clie_celular = '';
if(isset($_GET['cinit'])){
	$cinit = DataForms::GET('cinit');

	$CINIT = new DB();
	$sqlCINIT = "SELECT * FROM inventarios_clientes
	WHERE clie_codigo = '$cinit';";
	$CINIT->dbSQL($sqlCINIT);
	$CINIT->next();
		$clie_nombres = $CINIT->dbField('clie_nombres');
		$clie_apellidos = $CINIT->dbField('clie_apellidos');
		$clie_cinit = $CINIT->dbField('clie_cinit');
		$clie_celular = $CINIT->dbField('clie_celular');		
}		

$Ubicacion = new DB();
$sqlUbicacion = "SELECT * FROM inventarios_ubicaciones ubi, rol_usuarios us
WHERE ubi.ubica_codigo = us.ubica_codigo
AND ubi.ubica_codigo='$USID';";
$Ubicacion->dbSQL($sqlUbicacion);
$Ubicacion->next();
$ubica_nombre = $Ubicacion->dbField('ubica_nombre');

//Aplicar descuentos de compras mayores o iguales a 50Bs, aplica al 4%
//solo enm ventas de tipo de unidades no por cajas
$Descuento = new DB();
$sqlDescuento = "SELECT SUM(ven.ven_precio) as DESCUENTO FROM inventarios_productos prod, inventarios_ubicaciones ubi, ventas_productos ven
WHERE prod.ubica_codigo = ubi.ubica_codigo
AND ven.ubica_codigo = ubi.ubica_codigo
AND ven.prod_codigo = prod.prod_codigo
AND ven.ven_codigo = '$codigo_venta';";
$Descuento->dbSQL($sqlDescuento);
$Descuento->next();
	$NumDescuento = $Descuento->dbField('DESCUENTO');
		if($NumDescuento >= 50)
			$NumDescuento = number_format($NumDescuento * 0.05,2);
		else 
			$NumDescuento = 0;
?>
<style>
th{background:#1269DB;
color:white;
text-align:center;
text-transform:uppercase;}	
</style>

</head>
<body>
	<div class="wrapper">
		
	<?php include('inc_menu.php');?>

		<div class="main-panel">
			<div class="content">
				
				<div class="page-inner">						
				<div class="row">
						<div class="col-md-12">
						<form autocomplete="on">
							<div class="card">
								<div class="card-header">
									<div class="card-title"><?php echo $title?></div>
								</div>
								<div class="card-body">
									<div class="row">										
										<div class="col-md-6 col-lg-4">
											<div class="form-group form-group-default">
												<label>C.I. / NIT:</label>
												<input id='txtCINIT' type="text" value='<?php echo $clie_cinit; ?>' class="form-control">
												<div id='ClienteCINIT'></div>
											</div>	
											<div class="form-group form-group-default">
												<label>Cliente Nombres:</label>
												<input id='txtNombres' value='<?php echo $clie_nombres; ?>' type="text" class="form-control">
											</div>		
											<div class="form-group form-group-default">
												<label>Cliente Apellidos:</label>
												<input id='txtApellidos' value='<?php echo $clie_apellidos; ?>' type="text" class="form-control">
											</div>													
											<div class="form-group form-group-default">
												<label>Celular:</label>
												<input id='txtCelular' value='<?php echo $clie_celular; ?>' type="text" class="form-control">
											</div>																				
										</div>
										<div class="col-md-6 col-lg-4">
											<div class="form-group form-group-default">
												<label>Destino:</label>
												<input id='txtDestino' value='LA PAZ' type="text" class="form-control">
											</div>	
											<div class="form-group form-group-default">
												<label>Punto realizacion de Lista:</label>
												<input id='txtPuntoLista' value='<?php echo $ubica_nombre; ?>' type="text" class="form-control">
											</div>		
											<div class="form-group form-group-default">
												<label>Punto de Entrega Mercadería:</label>
												<select id="txtPuntoEntrega" class="form-control" style="text-align:left">
													<option value="" selected>Listado de Ubicaciones</option>
													<?php
													$sqlUbicaciones = "SELECT * FROM inventarios_ubicaciones 
													WHERE ubica_estado='1';";
													$Ubicaciones = new DB();
													$Ubicaciones->dbSQL($sqlUbicaciones);
													$html = "";
														while($Ubicaciones->next()){
															$ubica_codigo = $Ubicaciones->dbField('ubica_codigo');
															$ubica_nombre = $Ubicaciones->dbField('ubica_nombre');																		
																$html.='<option value="'.$ubica_codigo.'">'.$ubica_nombre.'</option>';																																
															}//wend() 
														$html.='<option value="'.$UbicacionID.'" selected>Entregar Aqui '.$UbicacionUsuario.'</option>';		
														echo utf8_encode($html);
													?>																																													
												</select>
											</div>	
											<div class="form-group form-group-default">
												<label>Persona que Recogerá la Mercadería:</label>
												<input id='txtPersona' type="text" class="form-control">
											</div>																					
										</div>									
										<div class="col-md-6 col-lg-4">
											<div class="form-group form-group-default">
												<label>Tipo de Pago:</label>
												<select id='cmbTipoPago' class="form-control">
													<option value="">Tipos de Pago</option>	
													<option value="1" selected>Al Contado</option>
													<option value="2">A Cuenta Transferencia</option>
													<option value="3">Deposito Bancario</option>
												</select>
											</div>	
											<div class="form-group form-group-default">
												<label>Descuentos 5% por compras mayor o igual a Bs.50:</label>
												<input type='text' id='txtDescuentos' value='<?php echo $NumDescuento?>' class="form-control" >
											</div>																																
										</div>	
										
									</div>
									<div class="col-md-6 col-lg-12">
									<div class="table-responsive">
									<table class="display table table-striped table-hover">
											<thead>
												<tr>													
													<th>item</th>
													<th>descripción</th>
													<th>cajas</th>
													<th>unidades</th>													
													<th>precio unitario</th>
													<th>sub total</th>
												</tr>
											</thead>											
											<tbody>
											<?php
											$sql = "SELECT * FROM inventarios_productos prod, inventarios_ubicaciones ubi, ventas_productos ven
											WHERE prod.ubica_codigo = ubi.ubica_codigo
											AND ven.ubica_codigo = ubi.ubica_codigo
											AND ven.prod_codigo = prod.prod_codigo
											AND ven.ven_codigo = '$codigo_venta';";	
											$db= new DB();
											$db->dbSQL($sql);
											$html='';
											$i=0;
											$total = 0;
											while($db->next()){						
											$i++;												
												$ubica_nombre = $db->dbField('ubica_nombre');													
												$prod_item = $db->dbField('prod_item');
												$prod_nombre = $db->dbField('prod_nombre');
												$prod_preciounitario = $db->dbField('prod_preciounitario');
												$prod_preciodocena = $db->dbField('prod_preciodocena');
												$prod_preciocajadocena = $db->dbField('prod_preciocajadocena');
												$prod_piezascaja = $db->dbField('prod_piezascaja');
												
												$ven_tipo = $db->dbField('ven_tipo');
												  switch($ven_tipo){
													case '1' : $tipo = 'Unidad'; 
														$precio = $prod_preciounitario;
														$CajaU = 'Unidad';
														$piezas = 1;
													break;
													case '2' : $tipo = 'Docena'; 
														$precio = $prod_preciodocena;
														$CajaU = 'Caja';
														$piezas = $prod_piezascaja;
													break;
													case '3' : $tipo = 'Caja Docena'; 
														$precio = $prod_preciocajadocena ;
														$CajaU = 'Caja';
														$piezas = $prod_piezascaja;
													break;
												  }
												$ven_id = $db->dbField('ven_id');
												$ven_cantidad = $db->dbField('ven_cantidad');
												$ven_precio = $db->dbField('ven_precio');

												$total = $total + $ven_precio;
												$html.='<tr>';
													$html.='<td>'.$prod_item.'</td>';																							
													$html.='<td>'.$prod_nombre.'</td>';
													$html.='<td align=right>'.$ven_cantidad.' '.$CajaU.'</td>';
													$html.='<td align=right>'.($ven_cantidad*$piezas).'</td>';
													$html.='<td align=right>'.number_format(($precio/$piezas),2).'</td>';
													$html.='<td align=right>'.number_format(($precio/$piezas)*($ven_cantidad*$piezas),2).'</td>';																							
												$html.='</tr>';											
												
											}//wend() 
											/*
											$html.= '<tr><td colspan=7 align=right><h3>Total Parcial: Bs. '.number_format($total,2).'</h3></td></tr>';											
											$html.= '<tr><td colspan=7 align=right><h3>Descuento: Bs. '.number_format($NumDescuento,2).'</h3></td></tr>';
											$html.= '<tr><td colspan=7 align=right><h3><b>Subtotal menos Descuento: Bs. '.number_format(($total-$NumDescuento),2).'</b></h3></td></tr>';
											*/
											echo utf8_encode($html);
											?>													
											</tbody>
										</table>	
										<table class="display table table-striped table-hover">
											<?php 
											$html2='';
											$html2.= '<tr><td colspan=7 align=right><h3>Total Parcial: Bs. '.number_format($total,2).'</h3></td></tr>';											
											$html2.= '<tr><td colspan=7 align=right><h3>Descuento: Bs. '.number_format($NumDescuento,2).'</h3></td></tr>';
											$html2.= '<tr><td colspan=7 align=right><h3><b>Subtotal menos Descuento: Bs. '.number_format(($total-$NumDescuento),2).'</b></h3></td></tr>';
											echo $html2;
											?>
										</table>
										
									</div>
									</div>
								</div>
								<div class="card-action"><center>
									<div id='res'></div>
									<button onclick="self.location='<?php echo PATH_HOME."ventas/";?>';" class="btn btn-info" type='button'><b> CANCELAR VENTA </b></button>	
									<button class="btn btn-info" type='submit'><b> ENVIAR A CAJA </b></button>
								</center>								
								</div>
							</div>
						</form>
						</div>
					</div>
				</div>
				
			</div>
			<?php include('inc_pie.php');?>
		</div>
		
	</div>
</body>
</html>
<script>
$(document).ready(function() {			
	$('#add-row').DataTable({
		"pageLength": 25,
	});
});	
</script>
<script>
$('form').on('submit', function(event) {
  event.preventDefault();

  $.post('<?php echo PATH_HOME.'ventas-carrito-cliente2/'. md5(uniqid()); ?>',{
	 'codigo_venta': '<?php echo $codigo_venta; ?>', 
	 'cmbTipoPago': $('#cmbTipoPago').val(), 
	 'txtNombres': $('#txtNombres').val(), 	 
	 'txtDescuentos': $('#txtDescuentos').val(), 	 
	 'txtApellidos': $('#txtApellidos').val(), 
	 'txtCINIT': $('#txtCINIT').val(), 
	 'txtCelular': $('#txtCelular').val(), 
	 'txtDestino': $('#txtDestino').val(), 	 
	 'txtPuntoLista': $('#txtPuntoLista').val(), 	 
	 'txtPuntoEntrega': $('#txtPuntoEntrega').val(), 	 
	 'txtPersona': $('#txtPersona').val(), 	 	 
    'MxEncoder': '<?php echo sha1(uniqid()); ?>'
  },function(data){
    $('#res').html(data);
  });  
});

$('#txtCINIT').keyup(function(){
	let cinit = $(this).val();
	$.post('<?php echo PATH_HOME.'ventas-buscar-cinit/'. md5(uniqid()); ?>',{
	 'cinit': cinit, 	 	 
	 'codigo_venta': '<?php echo $codigo_venta; ?>', 	 
    'MxEncoder': '<?php echo sha1(uniqid()); ?>'
  },function(data){
	$('#ClienteCINIT').html(data);
  });  
});
</script>